SDL_SetCurrentThreadPriority(3)

NAME
SDL_SetCurrentThreadPriority - Set the priority for the current thread.

HEADER FILE
Defined in SDL3/SDL_thread.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetCurrentThreadPriority(SDL_ThreadPriority priority);

DESCRIPTION
Note that some platforms will not let you alter the priority (or at least, promote the thread to a higher priority) at all, and some require you to be an administrator account. Be prepared for this to fail.

FUNCTION PARAMETERS

priority
    the SDL_ThreadPriority
     to set.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.